<?php
// app/Controllers/DashboardController.php
// Controller pro hlavní stránku po přihlášení.

namespace App\Controllers;

use App\Core\Controller;
use App\Core\Auth;
use App\Models\UdalostRepository;
use App\Models\PoznamkaRepository;
use App\Core\Database;

class DashboardController extends Controller
{
    public function __construct(Database $db)
    {
        parent::__construct($db);
        Auth::requireLogin();

        $this->udalosti = new UdalostRepository($db);
        $this->poznamky = new PoznamkaRepository($db);
    }

    // Načte 5 nejbližších událostí a 5 posledních poznámek a předá je do šablony
    public function index()
    {
        $user = Auth::user();
        $events = $this->udalosti->getNextEventsForUser($user['id'], $user['role'], 5);
        $notes  = $this->poznamky->getRecentNotesForUser($user['id'], $user['role'], 5);


        $this->view->render('dashboard/index', [
            'user' => $user,
            'events' => $events,
            'notes' => $notes
        ]);
    }
}
